Skip to main content
GET
/
api
/
public
/
problems
/
search
Search problems by title
curl --request GET \
  --url https://api.ropes.ai/api/public/problems/search \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "<string>",
    "title": "<string>",
    "integrationSource": "<string>",
    "externalId": "<string>",
    "testMode": true,
    "isFromRopesTestBank": true
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

Case-insensitive substring to match against the problem title. Required.

hideRopesTestBank
enum<string>

Omits problems shared from the Ropes Test Bank when true.

Available options:
true,
false

Response

Successfully retrieved problems

id
string
required

Unique identifier for the problem

title
string
required

Display name/title of the problem

status
enum<string>
required

Current status of the problem

Available options:
Ready,
Creating,
Editing
integrationSource
string

Integration source for the problem (e.g., jobdiva, bullhorn)

externalId
string

External ID from the ATS integration

testMode
boolean

True if this is a non-production problem created for API integration testing.

isFromRopesTestBank
boolean

True if this problem is from the shared Ropes Test Bank (read-only).